var itemClicked, itemToggleClass;
function StyleToggleMainMenu(itemClicked, itemToggleClass){
    $(itemClicked).click(function(){ 
        $('#header .navbar-nav li span').each(function(index){
            $('#header .navbar-nav li span').removeClass('hidden-line');
        });
        if ($(itemClicked+' a').hasClass('style')== true){
        $( itemToggleClass).addClass("hidden-line");
        }
    });
}
    $(document).ready(function() {
        $(".mobile_menu").simpleMobileMenu();
        $('#collapsedevices').click(function() {
            $('#menu').multilevelpushmenu({
                menuHeight: '100%'
            });
        });
        // /////////////////////////////////////////////////////////////////
        $('#header .nav2 .nav-pills>li').on("click", function() {
            var SelectorLink = $(this).children('a');
            if ($(this).hasClass('active') == true) {
                $($(this).children('a').attr('href')).toggleClass('active'); 
            }  
        }); 
           $("#header .nav2 .nav-pills>li").mouseleave(function() {
           if ($('#menu6, #menu7, #menu8, #menu9').hasClass('active')== false){
             $('#header .nav2 .nav-pills>li>a').removeClass('style');  
             $('#header .navbar-nav li span').removeClass('hidden-line');
           }
           }); 
        StyleToggleMainMenu('.menu1',"#header .navbar-nav li:nth-child(2) span");
        StyleToggleMainMenu('.menu2',"#header .navbar-nav li:nth-child(2) span, #header .navbar-nav li:nth-child(4) span");
        StyleToggleMainMenu('.menu3',"#header .navbar-nav li:nth-child(4) span,#header .navbar-nav li:nth-child(6) span");
        StyleToggleMainMenu('.menu4',"#header .navbar-nav li:nth-child(6) span"); 
        // /////////////////////////////////////////////////////////////////
        // toogle class active style for tap menu
        $('#header .nav2 .nav-pills>li>a').click(function() {
            $("#header .nav2 .nav-pills>li>a").each(function(index) {
             $('#header .nav2 .nav-pills>li>a').removeClass('style');
            //  $('#header .nav2 .nav-pills>li>a').css("background-color", "#fff");
            });
            $(this).addClass('style');
            // $(this).css("background-color", "yellow");
        });
        // ////////////////////////////////////////////////////////////////
        $(".col-sm-2-menu .list-style").mousedown(function() {
            $('.col-sm-3-menu ul').removeClass('in');
        });
        // //////////////////////////////////////////////////////////////
        $('.col-sm-2-menu .list-style').click(function() {
            // loop to change circle list style on click //
            $(".list-style .menu-icon").each(function(index) {
                $('.col-sm-2-menu .list-style .menu-icon').removeClass('active');
            });
            // loop to change  list style background on click //
            $(".col-sm-2-menu .list-style ").each(function(index) {
                $('.col-sm-2-menu .list-style ').removeClass('active2');
            });
            // change sircle list style on click
            $(this).find('span').addClass('active');
            // change  list style background on click
            $(this).addClass('active2');
        });
        // ////////////////////////////////////////////////////////////////
        $('.sm_menu_outer .mobile_menu li.hasChild').click(function() {
            var AttrBackground = $(this).attr('data-backgroundColor');
            var AttrHeadColor = $(this).attr('data-HeadColor');
            var AttrBorderColor = $(this).attr('data-borderColor');
            if ($(this).hasClass('active')) {
                $('.sm_menu_outer.active, .sm_menu_outer .mobile_menu .submenu, .mobile-menu-style').css({
                    'background-color': AttrBackground
                });
                $('.sm_menu_outer .mobile_menu li.back').css({
                    'background-color': AttrHeadColor
                });
                $('.sm_menu_outer .mobile_menu a').css({
                    'border-bottom-color': AttrBorderColor
                })
            } else {
                $('.sm_menu_outer.active, .sm_menu_outer .mobile_menu .submenu, .mobile-menu-style').css({
                    'background-color': '#a6a8ab'
                });
                $('.sm_menu_outer .mobile_menu li.back').css({
                    'background-color': '#8f8f90'
                });
                $('.sm_menu_outer .mobile_menu a').css({
                    'border-bottom-color': 'gray'
                });
            }
        });
        $('#sm_menu_ham').addClass('sticky');
        $('#sm_menu_ham').click(function() {
			if($(document).scrollTop() == 0){
				if(! $('#sm_menu_ham').hasClass('open')){
					$('#header').removeClass('white-header');
					$('#header').addClass('transparent-header');
				}
				else{
					$('#header').removeClass('transparent-header');
					$('#header').addClass('white-header');
				}
			}
            $('.sm_menu_outer.active, .sm_menu_outer .mobile_menu .submenu, .mobile-menu-style').css({
                'background-color': '#a6a8ab'
            });
            $('.sm_menu_outer .mobile_menu li.back').css({
                'background-color': '#8f8f90'
            });
            $('.sm_menu_outer .mobile_menu a').css({
                'border-bottom-color': 'gray'
            });
        });
    });